---
title: "Input"
description: "Renders a form input field"
component: true
---

<ComponentExample name="input-demo" />

## Usage

---

```tsx
import { Input } from "@medusajs/ui"
```

```tsx
<Input placeholder="Placeholder" id="input-id" />
```

## API Reference

---

<ComponentReference mainComponent="Input" />

## Examples

---

### Password

<ComponentExample name="input-password" />

### Search

<ComponentExample name="input-search" />

### Disabled

<ComponentExample name="input-disabled" />

### Small

<ComponentExample name="input-small" />

### Error state

You can leverage the native `aria-invalid` property to show an error state on your input:

<ComponentExample name="input-error" />
